msiecfexport

NAME
msiecfexport - exports items stored in a MSIE Cache File (index.dat)

SYNOPSIS
msiecfexport [-c codepage] [-l logfile] [-m mode] [-t target] [-hvV] source

DESCRIPTION
msiecfexport is a utility to export items stored in a MSIE Cache File (index.dat)

msiecfexport is part of the libmsiecf package. libmsiecf is a library to access the MSIE Cache File (index.dat) format

source is the source file.

The options are as follows:

-c codepage
    specify the codepage of ASCII strings, options: ascii, windows-874, windows-932, windows-936, windows-949, windows-950, windows-1250, windows-1251, windows-1252 (default), windows-1253, windows-1254, windows-1255, windows-1256, windows-1257 or windows-1258

-h  shows this help

-l logfile
    specify the file in which to log information about the exported items

-m mode
    specify the export mode, option: all, items (default), recovered 'all' exports the (allocated) items and recovered items, 'items' exports the (allocated) items and 'recovered' exports the recovered items

-t target
    specify the target directory to export to (default is the source filename followed by .export)

-v  verbose output to stderr

-V  print version

ENVIRONMENT
None

FILES
None

EXAMPLES

    # msiecfexport index.dat
    msiecfexport 20111030

    Opening file.
    Exporting items.
    Number of items: 42.

    Record type		: URL
    Offset range		: 20480 - 20736 (256)
    Location		: Cookie:username@domain.com/
    Primary time		: Mar 23, 2009 17:23:01.515000
    Secondary time		: Nov 29, 2007 11:23:44.906000
    Filename		: username@domain[1].txt
    Cache directory index	: -2 (0xfe)

        ...
    Exporting recovered items.
    Number of recovered items: 0.

    Export completed.

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind to <joachim.metz@gmail.com> or on the project website: https://github.com/libyal/libmsiecf/

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright (C) 2009-2024, Joachim Metz <joachim.metz@gmail.com>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
msiecfinfo(1)